Eurocardsharing

Go Back   Eurocardsharing > Sharing receivers > VDR and Kaffeine

VDR and Kaffeine Discussion, faq for kaffeine with sc plugin and cccam installation at Sharing receivers forum; hi all i write a little faq for ubuntu noobs like me who had problems with installing kaffeine with sc ...

Reply
 
LinkBack Thread Tools Display Modes
faq for kaffeine with sc plugin and cccam installation
Old
  (#1)
cioban1st
Junior Member
 
cioban1st's Avatar
 
Offline
Posts: 19

Level: 3 [♥ Bé-Yêu ♥♥ Bé-Yêu ♥]
Life: 0 / 52
Magic: 6 / 1607
Experience: 9%

Thanks: 1
Thanked 19 Times in 1 Post
Join Date: Jun 2007
faq for kaffeine with sc plugin and cccam installation - 19-September-2008, 19:07

hi all

i write a little faq for ubuntu noobs like me who had problems with installing kaffeine with sc plugin and cccam.
u need for working kaffeine sc plugin 0.4.0 and cccam 2.09

first steps

I logged in as root so I don’t need to type everytime sudo

sudo apt-get install kaffeine
sudo apt-get build-deb kaffeine
sudo apt-get install g++
sudo apt-get install build-essential

then change in ffdecsa in the make file to your compiler i change it from Compiler=g++34 to Compiler=g++

now go to your sc plugin folder and type in console

./configure
make
sudo make install
if make or ./configure gives u errors install this packages to
sudo apt-get install xorg-dev
sudo apt-get install libqt3-mt-dev
sudo apt get install kdelibs4-dev

afte this works all good type

gcc -O -fbuiltin -fomit-frame-pointer -fPIC -shared -o ca.so ca.c -ldl
cd /var
sudo mkdir etc
sudo chmod 777 etc
sudo mkdir keys
sudo chmod 777 keys
sudo mkdir bin
sudo chmod 777 bin

now put your cccam.x86 in /var/bin and chmod it to 777
put your cccam.cfg in /var/etc

copy ca.so from sc plugin folder to /var/bin
and start cccam with this

LD_PRELOAD=./ca.so ./CCcam.x86 -d

After all that start your caffeine and go to DVBconfigure DVB
On the left side u should see now plugins
Klick on it and on the right side softcam 0…..
Go to other and enable CCcam client

Now wish u happy watching
if something is not good please correct me

Last edited by marvin; 22-November-2008 at 18:47.. Reason: Correction of typo
   
Reply With Quote
The Following 19 Users Say Thank You to cioban1st For This Useful Post:
apx2 (10-October-2010), carthago (03-January-2010), cccam4ever (04-January-2009), cimi (19-October-2008), gianluca68 (25-October-2009), HoUnD (12-April-2010), jbl485 (05-June-2010), Kadosch (29-August-2010), mahmoudix (15-February-2009), makissamos (20-November-2008), mehmet444 (09-January-2011), micro77 (23-March-2009), mikulas7 (01-April-2014), morte (17-October-2008), paer (08-November-2008), rockyou (24-February-2010), sossonm (13-February-2013), ticonzero (22-October-2008), zivagodottore (09-March-2009)
Old
  (#2)
cioban1st
Junior Member
 
cioban1st's Avatar
 
Offline
Posts: 19

Level: 3 [♥ Bé-Yêu ♥♥ Bé-Yêu ♥]
Life: 0 / 52
Magic: 6 / 1607
Experience: 9%

Thanks: 1
Thanked 19 Times in 1 Post
Join Date: Jun 2007
20-September-2008, 18:59

thx hope i can help some people with it
   
Reply With Quote
Sponsored Links
Old
  (#3)
Ventura900
Member
 
Ventura900's Avatar
 
Offline
Posts: 48

Level: 5 [♥ Bé-Yêu ♥♥ Bé-Yêu ♥♥ Bé-Yêu ♥♥ Bé-Yêu ♥]
Life: 0 / 118
Magic: 16 / 3229
Experience: 75%

Thanks: 2
Thanked 0 Times in 0 Posts
Join Date: Aug 2008
22-September-2008, 23:09

when i type in: sudo apt-get build-deb kaffeine i get error?

and i can't ./configure

[email protected]:/home/ventura/data/kaffeine-sc-plugin-0.4.0# ./configure
bash: ./configure: Permission denied

i am root user?


regards

Last edited by Ventura900; 22-September-2008 at 23:37..
   
Reply With Quote
Another way to do the same.
Old
  (#4)
sharp
Junior Member
 
sharp's Avatar
 
Offline
Posts: 8

Level: 1 [♥ Bé-Yêu ♥]
Life: 0 / 18
Magic: 2 / 596
Experience: 73%

Thanks: 0
Thanked 0 Times in 0 Posts
Join Date: Nov 2006
Another way to do the same. - 17-October-2008, 13:39

Hi

Thanks for the excellent guide guide. I started to follow it when I found a pre-build Debian package for sc-plugin. I had Kaffeine already installed throu Synaptic package manager. I simply installed the sc-plugin package and it was up and running.
I do not very handy with compilation so it maybe helps someone else.

KR
   
Reply With Quote
Old
  (#5)
neztiti
Junior Member
 
neztiti's Avatar
 
Offline
Posts: 11

Level: 2 [♥ Bé-Yêu ♥]
Life: 0 / 28
Magic: 3 / 862
Experience: 12%

Thanks: 2
Thanked 0 Times in 0 Posts
Join Date: Jul 2007
18-October-2008, 03:14

thank you cioban1st for the guide . cccam works here with vdr and mythtv too .
   
Reply With Quote
Old
  (#6)
Plow
Junior Member
 
Plow's Avatar
 
Offline
Posts: 2

Level: 1 [♥ Bé-Yêu ♥]
Life: 0 / 0
Magic: 0 / 19
Experience: 2%

Thanks: 0
Thanked 0 Times in 0 Posts
Join Date: Feb 2008
24-October-2008, 19:43

Im running mythtv and would like o connect to a dreambox
Is it possible to connect to cccamd with sasc-ng ?
   
Reply With Quote
problem with ca.c
Old
  (#7)
petrus73
Junior Member
 
petrus73's Avatar
 
Offline
Posts: 4

Level: 1 [♥ Bé-Yêu ♥]
Life: 0 / 5
Magic: 1 / 171
Experience: 21%

Thanks: 15
Thanked 0 Times in 0 Posts
Join Date: Mar 2007
problem with ca.c - 03-November-2008, 22:45

hi all...
when i run
gcc -O -fbuiltin -fomit-frame-pointer -fPIC -shared -o ca.so ca.c -ldl

i get this error :
ca.c:107: error: expected , or ; before { token

i had no problem with ./configure, make, and make install... and i edited the makefile in the ffdecsa directory as suggested.. but i get always the same error..
seems there is an error in ca.c file?!?

pls.. help

regards,
   
Reply With Quote
Old
  (#8)
paer
Junior Member
 
paer's Avatar
 
Offline
Posts: 1

Level: 1 [♥ Bé-Yêu ♥]
Life: 0 / 0
Magic: 0 / 0
Experience: 0%

Thanks: 1
Thanked 0 Times in 0 Posts
Join Date: Nov 2008
Age: 38
08-November-2008, 10:45

Hi, thanks for a great guide cioban,

I can configure and make / install the kaffeine-sc-plugin but like Petrus73 i cant compile ca.c.

All versions of kaffeine-sc-plugin 0.4.0 i found so far have this faulty ca.c. Does anyone know where a working copy of the source can be found?
   
Reply With Quote
Old
  (#9)
jackolantern
Junior Member
 
jackolantern's Avatar
 
Offline
Posts: 2

Level: 1 [♥ Bé-Yêu ♥]
Life: 0 / 0
Magic: 0 / 18
Experience: 2%

Thanks: 0
Thanked 0 Times in 0 Posts
Join Date: Nov 2008
Age: 46
20-November-2008, 13:06

I am getting the same error. in the end but the steps leading up to that also don't all work properly...

sudo apt-get install lobqt3-mt-dev

desktop:/var/bin$ sudo apt-get install lobqt3-mt-dev
[sudo] password for :
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Couldn't find package lobqt3-mt-dev

I think this package doesn't exist for 64bits. Can anyone confirm that it does not work on 64bits?

The sc-pluggin does work, but that is a 64bit.deb package so it is setup for 64 bit, I also notice that the header is talking about a 32bit system.

What should we change to get this to load properly on a 64bit system?
   
Reply With Quote
Old
  (#10)
mach
Junior Member
 
mach's Avatar
 
Offline
Posts: 4

Level: 1 [♥ Bé-Yêu ♥]
Life: 0 / 5
Magic: 1 / 144
Experience: 21%

Thanks: 0
Thanked 0 Times in 0 Posts
Join Date: Nov 2008
20-November-2008, 18:43

Quote:
desktop:/var/bin$ sudo apt-get install lobqt3-mt-dev
should be

Code:
desktop:/var/bin$ sudo apt-get install libqt3-mt-dev
and try to build ca.c file with this command:

gcc -O -fbuiltin -fomit-frame-pointer -fPIC -shared -o ca.so ca.c -ldl
   
Reply With Quote
Reply

Bookmarks

Tags
cccam, installation, kaffeine, plugin


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are Off
Pingbacks are Off
Refbacks are Off

Forum Jump



ECS on RSS ECS on Twitter ECS on Facebook ECS on Youtube
Follow us on:

Powered by vBulletin
Copyright 2002 - 2010, Jelsoft Enterprises Ltd.
SEO by vBSEO ©2011, Crawlability, Inc.
Dreambox